loci.plugins.in

## Class SwapDialog

- java.lang.Object
- - loci.plugins.prefs.OptionsDialog
  - - loci.plugins.in.ImporterDialog
    - - loci.plugins.in.SwapDialog

- All Implemented Interfaces:
    java.awt.event.ItemListener, java.util.EventListener

      public class SwapDialog
      extends ImporterDialog
      implements java.awt.event.ItemListener

  Bio-Formats Importer dimension swapper dialog box.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.awt.Choice` | `cChoice`
    `private java.awt.Choice` | `tChoice`
    `private java.awt.Choice` | `zChoice`

    - ### Fields inherited from class loci.plugins.in.ImporterDialog

      `options, process`

    - ### Fields inherited from class loci.plugins.prefs.OptionsDialog

      `IS_GLITCHED, optionsList, STATUS_CANCELED, STATUS_FINISHED, STATUS_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwapDialog(ImportProcess process)` Creates a dimension swapper dialog for the Bio-Formats Importer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ij.gui.GenericDialog` | `constructDialog()`
    `private int` | `firstAvailable(int... index)`
    `protected boolean` | `harvestResults(ij.gui.GenericDialog gd)`
    `void` | `itemStateChanged(java.awt.event.ItemEvent e)`
    `protected boolean` | `needPrompt()`

    - ### Methods inherited from class loci.plugins.in.ImporterDialog

      `displayDialog, showDialog`

    - ### Methods inherited from class loci.plugins.prefs.OptionsDialog

      `addCheckbox, addChoice, sleep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### zChoice

          private java.awt.Choice zChoice

    - #### cChoice

          private java.awt.Choice cChoice

    - #### tChoice

          private java.awt.Choice tChoice

  - ### Constructor Detail

    - #### SwapDialog

          public SwapDialog(ImportProcess process)

      Creates a dimension swapper dialog for the Bio-Formats Importer.

  - ### Method Detail

    - #### needPrompt

          protected boolean needPrompt()

      Specified by:
        `needPrompt` in class `ImporterDialog`

    - #### constructDialog

          protected ij.gui.GenericDialog constructDialog()

      Specified by:
        `constructDialog` in class `ImporterDialog`

    - #### harvestResults

          protected boolean harvestResults(ij.gui.GenericDialog gd)

      Specified by:
        `harvestResults` in class `ImporterDialog`

    - #### itemStateChanged

          public void itemStateChanged(java.awt.event.ItemEvent e)

      Specified by:
        `itemStateChanged` in interface `java.awt.event.ItemListener`

    - #### firstAvailable

          private int firstAvailable(int... index)

Copyright © 2026 Open Microscopy Environment